Cannot open pip-script.py

这几天一直在折腾faceswap,安装过程中发现各种神奇的bug。首先第一个就是github无法正常访问的问题,clone代码的时候各种提示服务器连接超时。可以修改hosts文件添加以下内容:

# github
#192.30.255.113 github.com
#192.30.255.113 gist.github.com
#151.101.52.133  raw.githubusercontent.com
#151.101.53.194  github.global.ssl.fastly.net
140.82.114.4 github.com
199.232.69.194 github.global.ssl.fastly.net

添加之后执行dns刷新:

ipconfig /flushdns

然后github基本就可以正常访问了。安装完成之后发现出现了另外一个问题,提示没有tensorflow-gpu环境。但是尝试执行安装时又提示下面的错误:

(faceswap) C:\Users\obaby>pip install -U tensorflow-gpu -i https://pypi.tuna.tsinghua.edu.cn/simple
Cannot open C:\Users\obaby\Anaconda3\envs\faceswap\Scripts\pip-script.py

这个可以通过easy_install pip解决这个问题。

如果直接安装tensorflow-gpu安装的是最新版本的2.3.但是faceswap最高支持到2.2.可以通过下面的命令安装制定版本的tensorflow-gpu

pip install -U tensorflow-gpu==2.2 -i https://pypi.tuna.tsinghua.edu.cn/simple

安装之后就可以正常启动了:

☆文章版权声明☆

* 网站名称:obaby@mars
* 网址:http://h4ck.org.cn/
*本文标题: 《Cannot open pip-script.py》
* 本文链接:http://h4ck.org.cn/2020/12/cannot-open-pip-script-py/
* 转载文章请标明文章来源,原文标题以及原文链接。请遵从 《署名-非商业性使用-相同方式共享 2.5 中国大陆 (CC BY-NC-SA 2.5 CN) 》许可协议。


分享文章:

猜你喜欢:

发表评论

您的电子邮箱地址不会被公开。